#ifndef	__CTSDRV_h__
#define	__CTSDRV_h__
//==================================================================================
// The information contained herein is the exclusive property of
// Generalplus Technology Co. And shall not be distributed, reproduced,
// or disclosed in whole in part without prior written permission.
//       (C) COPYRIGHT 2016   Generalplus TECHNOLOGY CO.                            
//                   ALL RIGHTS RESERVED
// The entire notice above must be reproduced on all authorized copies.
//==================================================================================
//==================================================================================
// Name                  : CTSDrv.inc
// Applied Body          : GPL951 series
// Programmer            : Wilson
// Description           : CTS Driver header include file
//						  
//	
// History version       : V0.1.0.0  first edit
//						   V0.1.0.1  fix bug : touch Key trigger than release
//						   V0.1.0.2  fix bug : F_CtsForceCali function fail
//==================================================================================
//=======================================================================================
// Function name: F_CTS_Version
// Purpose		: Get CTS Driver Version
// Parameter	: None
// Return		: version
//=======================================================================================
extern	unsigned int F_CTS_Version(void);

// =======================================================================================
// Function name: F_CTS_Initial
// Purpose		: CTS hardware and parameter initialize
// Parameter	: None
// Return		: None
// ======================================================================================	
extern	void F_CTS_Initial(void);

// =======================================================================================
// Function name: F_CTS_ScanStart
// Purpose		: Initialize Pad index and start CTS scanning
// Parameter	: None
// Return		: None
// ======================================================================================
extern	void F_CTS_ScanStart(void);

// =======================================================================================
// Function name: F_CTS_ScanStop
// Purpose		: Off all CTS chanel
// Parameter	: None
// Return		: None
// =======================================================================================	
extern	void F_CTS_ScanStop(void);

// =======================================================================================
// Function name: F_CTS_ISR
// Purpose		: Read CTS capture value and filte noise
// Parameter	: None
// Return		: None
// ======================================================================================
extern	void F_CTS_ISR(void);

// =======================================================================================
// Function name: F_CtsForceCali
// Purpose		: Re-calibration Reference value.
// Parameter	: Calibration Count
// Return		: None
// ======================================================================================
extern	void F_CtsForceCali(unsigned int CalNum);

// =======================================================================================
// Function name: F_CTS_ScanService
// Purpose		: Read CTS capture value and filter noise  
// Parameter	: None 
// Return		: None
// ======================================================================================	
extern	void F_CTS_ScanService(void);

// =======================================================================================
// Function name: F_CTS_ServiceLoop
// Purpose		: CTS value anayis and reference value adaptive  
// Parameter	: None 
// Return		: None
// ======================================================================================	
extern	void F_CTS_ServiceLoop(void);

//====================== Variable =======================
extern unsigned int R_CtsSum[];
extern unsigned int R_SensorStatus;
extern unsigned int R_CTS_Key;
extern unsigned int R_TriggerLevel;
extern unsigned int R_ScanDoneFlag;
extern unsigned int R_CalCount;
#endif
